# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Mojo/Base.pm) perl(Mojo/Util.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/AssetPack.pm) perl(Test/More.pm) perl(blib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 1.001001
%define module_name CSS-SpriteMaker-Simple
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.001001
Release: alt1
Summary: generate CSS sprites from a bunch of images
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/CSS-SpriteMaker-Simple

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZO/ZOFFIX/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Generate a
CSS sprite
using given image files. The result is a a single chunk of CSS code, with
images base64 encoded into it.

=for html  <div style="display: table; height: 91px; background: url(http://zoffix.com/CPAN/Dist-Zilla-Plugin-Pod-Spiffy/icons/section-warning.png) no-repeat left; padding-left: 120px;" ><div style="display: table-cell; vertical-align: middle;">

This code was plucked from a project I was working on and simply quickly
packaged into a CPAN distro. As such, it currently lacks tests.
Patches are definitely welcome.

=for html  </div></div>
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md README LICENSE Changes examples
%perl_vendor_privlib/C*

%changelog
* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 1.001001-alt1
- initial import by package builder

